Flecs: ecs_member_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_member_t Struct Reference
C API » Addons » Meta

Element type of members vector in EcsStruct. More...

`#include <meta.h>`

## Public Attributes
const char * | name
| Must be set when used with ecs_struct_desc_t.
ecs_entity_t | type
| Member type.
int32_t | count
| Element count (for inline arrays).
int32_t | offset
| May be set when used with ecs_struct_desc_t.
ecs_entity_t | unit
| May be set when used with ecs_struct_desc_t, will be auto-populated if type entity is also a unit.
bool | use_offset
| Set to true to prevent automatic offset computation.
ecs_member_value_range_t | range
| Numerical range that specifies which values member can assume.
ecs_member_value_range_t | error_range
| Numerical range outside of which the value represents an error.
ecs_member_value_range_t | warning_range
| Numerical range outside of which the value represents an warning.
ecs_size_t | size
| Should not be set by ecs_struct_desc_t.
ecs_entity_t | member
| Should not be set by ecs_struct_desc_t.

## Detailed Description

Element type of members vector in EcsStruct.

Definition at line 219 of file meta.h.

## Member Data Documentation

## ◆ count

int32_t ecs_member_t::count

Element count (for inline arrays).

May be set when used with ecs_struct_desc_t

Definition at line 227 of file meta.h.

## ◆ error_range

ecs_member_value_range_t ecs_member_t::error_range

Numerical range outside of which the value represents an error.

This range may be used by UI elements to style a value.

Definition at line 248 of file meta.h.

## ◆ member

ecs_entity_t ecs_member_t::member

Should not be set by ecs_struct_desc_t.

Definition at line 258 of file meta.h.

## ◆ name

const char* ecs_member_t::name

Must be set when used with ecs_struct_desc_t.

Definition at line 221 of file meta.h.

## ◆ offset

int32_t ecs_member_t::offset

May be set when used with ecs_struct_desc_t.

Member offset.

Definition at line 230 of file meta.h.

## ◆ range

ecs_member_value_range_t ecs_member_t::range

Numerical range that specifies which values member can assume.

This range may be used by UI elements such as a progress bar or slider. The value of a member should not exceed this range.

Definition at line 244 of file meta.h.

## ◆ size

ecs_size_t ecs_member_t::size

Should not be set by ecs_struct_desc_t.

Definition at line 255 of file meta.h.

## ◆ type

ecs_entity_t ecs_member_t::type

Member type.

Definition at line 224 of file meta.h.

## ◆ unit

ecs_entity_t ecs_member_t::unit

May be set when used with ecs_struct_desc_t, will be auto-populated if type entity is also a unit.

Definition at line 234 of file meta.h.

## ◆ use_offset

bool ecs_member_t::use_offset

Set to true to prevent automatic offset computation.

This option should be used when members are registered out of order or where calculation of member offsets doesn't match C type offsets.

Definition at line 239 of file meta.h.

## ◆ warning_range

ecs_member_value_range_t ecs_member_t::warning_range

Numerical range outside of which the value represents an warning.

This range may be used by UI elements to style a value.

Definition at line 252 of file meta.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/meta.h